Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Enum Month

    java.lang.Object
      java.lang.Enum<Month>
          com.tibco.bpm.web.client.model.types.calendar.Month

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<Month>

    public enum Month

extends java.lang.Enum<Month>
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable

Enum Constant Summary
`APRIL`
`AUGUST`
`DECEMBER`
`FEBRUARY`
`JANUARY`
`JULY`
`JUNE`
`MARCH`
`MAY`
`NOVEMBER`
`OCTOBER`
`SEPTEMBER`

Method Summary
`static Month` | `get(int position)`
`int` | `getPosition()`
`static Month` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Month[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JANUARY

    public static final Month JANUARY

### FEBRUARY

    public static final Month FEBRUARY

### MARCH

    public static final Month MARCH

### APRIL

    public static final Month APRIL

### MAY

    public static final Month MAY

### JUNE

    public static final Month JUNE

### JULY

    public static final Month JULY

### AUGUST

    public static final Month AUGUST

### SEPTEMBER

    public static final Month SEPTEMBER

### OCTOBER

    public static final Month OCTOBER

### NOVEMBER

    public static final Month NOVEMBER

### DECEMBER

    public static final Month DECEMBER

Method Detail

### values

    public static Month[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Month c : Month.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Month valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getPosition

    public int getPosition()

### get

    public static Month get(int position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.